Bug 810460 - when going to offline mode, evolution shows sync dialog window on top of last opened main window, not actual window
Summary: when going to offline mode, evolution shows sync dialog window on top of last...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution
Version: 6.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: beta
: 6.4
Assignee: Matthew Barnes
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1104664
TreeView+ depends on / blocked
 
Reported: 2012-04-06 09:12 UTC by David Jaša
Modified: 2014-06-04 13:11 UTC (History)
3 users (show)

Fixed In Version: evolution-2.32.3-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1104664 (view as bug list)
Environment:
Last Closed: 2013-11-21 05:04:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1540 0 normal SHIPPED_LIVE Low: evolution security, bug fix, and enhancement update 2013-11-21 00:40:51 UTC

Description David Jaša 2012-04-06 09:12:45 UTC
Description of problem:
when going to offline mode, evolution shows sync dialog window on top of last opened main window, not actual window

Version-Release number of selected component (if applicable):
evolution-2.28.3-24.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. open evolution
2. open another window (ctrl + shift + W), move it to some other desktop
3. in the first window, hit "offline" icon
  
Actual results:
  * a dialog asking if Evo should synchronize mail or not pops on top of second, not visible window
  * a dialog window is not highlighted in window list

Expected results:
  * dialog window pops on top of active window
  * dialog window is highlighted

Additional info:

Comment 1 Milan Crha 2012-04-06 12:01:35 UTC
Thanks for a bug report. That "sync dialog window", is it the one where you are asked whether you want to synchronize message locally, before evolution gets fully offline? I would expect it being shown on a monitor where it was invoked, but it's possible your window manager decided a different action.

Comment 2 RHEL Program Management 2012-07-10 06:35:27 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 3 RHEL Program Management 2012-07-10 23:09:10 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 4 RHEL Program Management 2012-12-14 07:08:02 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 7 Milan Crha 2013-06-11 17:40:27 UTC
FIxed by rebase.

Comment 15 errata-xmlrpc 2013-11-21 05:04:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html


Note You need to log in before you can comment on or make changes to this bug.